---
name: Bug report
about: Create a report to help us improve
title: "[BUG]"
labels: bug
assignees: ''

---

**Describe the bug**
A clear and concise description of what the bug is. Please check [FAQ section](https://pyradiomics.readthedocs.io/en/latest/faq.html), PyRadiomics issues and [PyRadiomics Slicer Discourse](https://discourse.slicer.org/c/community/radiomics/23) to check if your bug has been encountered before. If so, but you still require additional help, please reference related issues.

**PyRadiomics configuration**
Add any customization you applied here (i.e. the content of the parameter file used)

**PyRadiomics log file**
If available, add section of the PyRadiomics log showing your error. For help on setting up logging, see the [online documentation](https://pyradiomics.readthedocs.io/en/latest/usage.html#setting-up-logging)

**To Reproduce**
Steps to reproduce the behavior:

**Expected behavior**
A clear and concise description of what you expected to happen.

**Version (please complete the following information):**
 - OS: [e.g. iOS]
 - Python version: [e.g. 3.6]
 - PyRadiomics version [e.g. 2.2.0]

**Additional context**
Add any other context about the problem here.
